---
title: Enable DNS Log
canonical: https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-0/dns-log/enable-dns-log/
product: CloudConnexa Docs
---

# Enable DNS Log

`PUT /api/v1/dns-log/user-dns-resolutions/enable`

This endpoint will enable DNS Log feature.

**Example Request:**

```
PUT /api/v1/dns-log/user-dns-resolutions/enable
```

## Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 200 | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | OK | None |
| 400 | [Bad Request](https://tools.ietf.org/html/rfc7231#section-6.5.1) | Bad Request | [ErrorResponse](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/errorresponse.md) |
| 401 | [Unauthorized](https://tools.ietf.org/html/rfc7235#section-3.1) | Unauthorized | None |
| 429 | [Too Many Requests](https://tools.ietf.org/html/rfc6585#section-4) | Too Many Requests | None |
| 500 | [Internal Server Error](https://tools.ietf.org/html/rfc7231#section-6.6.1) | Internal Server Error | [ErrorResponse](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/errorresponse.md) |

```json
{
  "errorDetails": {
    "property1": [
      {
        "errorCode": "string",
        "message": "string",
        "params": {
          "property1": {},
          "property2": {}
        }
      }
    ],
    "property2": [
      {
        "errorCode": "string",
        "message": "string",
        "params": {
          "property1": {},
          "property2": {}
        }
      }
    ]
  },
  "errorMessage": "string",
  "statusError": "string"
}
```

## Response Schema

To perform this operation, you must be authenticated by means of one of the following methods: oauth

---

Prev: [DNS Log](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-0/dns-log.md)
Next: [Disable DNS Log](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-0/dns-log/disable-dns-log.md)
Index: https://openvpn.net/cloud-docs/llms.txt
